---
apiVersion: configuration.konghq.com/v1
kind: KongPlugin
metadata:
  name: cors-global-plugin
  namespace: mpm-dev
  annotations:
    kubernetes.io/ingress.class: kong
config: 
  origins:
  - http://localhost:4200
  - https://mpm.dev
  methods:
  - GET
  - POST
  - PUT
  - DELETE
  - PATCH
  - OPTIONS
  headers:
  - "*"
  exposed_headers:
  - "*"
  credentials: false
  max_age: 3600
  preflight_continue: false
plugin: cors